/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.audit.report.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.audit.information.entity.Information;
import com.jeeplus.modules.sg.audit.report.entity.SgReport;

import java.util.List;


@MyBatisMapper
public interface ReportMapper extends BaseMapper<SgReport> {
   List<SgReport> findData(SgReport sgReport);
   List<SgReport> findList(SgReport sgReport);
   List<SgReport> findUnitData(SgReport sgReport);
   List<SgReport> findUnitList(SgReport sgReport);
   List<SgReport> findSecondData(SgReport sgReport);
   List<SgReport> findSecondList(SgReport sgReport);
   List<Information> findInformationList(SgReport sgReport);
}